////////////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       		//
// Created by DimasTheDriver in 19/Apr/2011                                      		//
// Part of 'Unity: How to use a GUI Texture to play fullscreen videos' post.   //
// Available at:      http://www.41post.com/?p=3687                             		//
///////////////////////////////////////////////////////////////////////////

//the GUI texture
private var videoGUItex:GUITexture;
//the Movie texture
private var mTex:MovieTexture;
//the AudioSource
private var movieAS:AudioSource;
//the movie name inside the resources folder
public var movieName:String;

@script RequireComponent(GUITexture)
@script RequireComponent(AudioSource)

function Awake()
{
	//get the attached GUITexture
	videoGUItex = this.GetComponent(GUITexture);
	//get the attached AudioSource
	movieAS = this.GetComponent(AudioSource);
	//load the movie texture from the resources folder
	mTex = Resources.Load(movieName);
	//set the AudioSource clip to be the same as the movie texture audio clip
	movieAS.clip = mTex.audioClip;
	//fullscreen with vertical borders
	var newWidth:float = -(Screen.width-(Screen.height*(mTex.width/parseFloat(mTex.height))));
	var xOffset:float = (Screen.width - newWidth)/2;
	videoGUItex.pixelInset = new Rect(xOffset, -Screen.height/2,newWidth,0);
}

//On Script Start
function Start()
{
	//set the videoGUItex.texture to be the same as mTex
	videoGUItex.texture = mTex;
	//Plays the movie
	mTex.Play();
	//plays the audio from the movie
	movieAS.Play(); 
}